Backtests
Poll One Authorized Quantile Backtest and Read Its Completed Simulation
GET
/
backtests
/
{id}
Poll One Authorized Quantile Backtest and Read Its Completed Simulation
curl --request GET \
--url https://quantura.studio/api/v1/backtests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/backtests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/backtests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "bt_0123456789abcdef0123456789abcdef",
"status": "completed",
"workspace_id": "ws_01JEXAMPLE9Y6Z",
"source": {
"type": "ticker",
"symbol": "SPY",
"provider": "auto",
"frequency": "1Day"
},
"provider": "alpaca",
"strategy": {
"schema_version": 2,
"type": "quantile_rules",
"entry_logic": "all",
"rules": [
{
"id": "entry_p10",
"kind": "entry",
"condition": "crosses_above",
"quantile": 0.1
},
{
"id": "take_p50",
"kind": "take_profit",
"target_mode": "quantile",
"quantile": 0.5
},
{
"id": "stop_p01",
"kind": "stop_loss",
"target_mode": "quantile",
"quantile": 0.01
}
]
},
"replay": {
"context_rows": 128,
"evaluation_windows": 2
},
"fill_model": "next_observed_bar_open",
"data_hash": "0123456789abcdef",
"live_eligible": false,
"metrics": {
"observed_bars": 500,
"forecast_windows": 2,
"matched_forecast_bars": 60,
"trades": 8,
"wins": 5,
"losses": 3,
"win_rate_pct": 62.5,
"net_pnl": 42.18,
"return_pct": 4.218,
"max_drawdown": 26.2,
"fees": 5.6
},
"forecast_windows": [
{
"number": 1,
"cutoff_at": "2026-09-01T20:00:00.000Z",
"training_rows": 128,
"predictions": [
{
"timestamp": "2026-09-02T20:00:00.000Z",
"quantiles": {
"0.01": 500,
"0.1": 510,
"0.5": 530
}
}
]
}
],
"trades": [
{
"entry_at": "2026-09-03T13:30:00.000Z",
"exit_at": "2026-09-04T13:30:00.000Z",
"shares": 1,
"pnl": 3.2,
"entry_rule_ids": [
"entry_p10"
],
"exit_rule_id": "take_p50"
}
],
"equity_curve": [
{
"timestamp": "2026-09-01T20:00:00.000Z",
"equity": 1000
}
]
},
"meta": {
"api_version": "v1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Queued/running progress, or final ensemble quantiles, simulated trades, equity curve and assumptions.
The response is of type object.
⌘I
Poll One Authorized Quantile Backtest and Read Its Completed Simulation
